Bug 97797 - Keyboard dead after unplugging the mouse
Keyboard dead after unplugging the mouse
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-21 07:18 EDT by David Balažic
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 01:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -nvv (10.35 KB, text/plain)
2003-06-21 07:18 EDT, David Balažic
no flags Details
the X config file (3.12 KB, text/plain)
2003-06-23 04:08 EDT, David Balažic
no flags Details
The log file, using option -logverbose 9 (65.97 KB, text/plain)
2003-06-23 04:10 EDT, David Balažic
no flags Details

  None (edit)
Description David Balažic 2003-06-21 07:18:24 EDT
Description of problem:

If I unplug my PS/2 mouse and boot RH9, it will take very long to start X
( the HW is switched to gfx mode, old video RAM content is visible for
10-20 seconds) then the login screen appears and the keyboard ( PS/2 ) is
dead ( tried ctrl-alt-F1 , ctrl-alt-BS , caps lock does not light its LED 
either ). I can't do anything but reset ( I have no network ).

In /etc/sysconfig/kudzu I have SAFE=yes, so the mouse removal is not
detected. ( but that should not kill the kbd )

This is RH9 Shrike.
kernel 2.4.20-8-athlon

The mouse is a 3 button PS/2 Logitech, keyboard is KeyTronic KT800 PS/2 ( the 
usual 105-or-so key international kbd )

X is using the vesa driver.

lspci :
00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400 AGP] Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
00:0a.0 VGA compatible controller: Silicon Integrated Systems [SiS] 86C326 
5598/6326 (rev 0b)
00:0b.0 Communication controller: Conexant HSF 56k HSFi Modem (rev 01)
00:0c.0 Multimedia audio controller: Ensoniq ES1370 [AudioPCI] (rev 01)
00:0d.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture 
(rev 11)
00:0d.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 
11)
00:0f.0 RAID bus controller: Promise Technology, Inc. PDC20276 IDE (rev 01)
00:10.0 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. USB (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. 
VT82C586A/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235 AC97 
Audio Controller (rev 50)
00:13.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-
8139/8139C/8139C+ (rev 10)
00:14.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller 
(rev 46)
01:00.0 VGA compatible controller: SGS Thomson Microelectronics STG4000 [3D 
Prophet Kyro Series] (rev 0f)
Comment 1 David Balažic 2003-06-21 07:18:58 EDT
Created attachment 92519 [details]
Output of lspci -nvv
Comment 2 David Balažic 2003-06-21 11:13:36 EDT
It is similar on a i810 based system, except that after the long delay X 
appears, but the kbd is not dead, it works.
Comment 3 Mike A. Harris 2003-06-21 17:25:50 EDT
If you have a mouse or keyboard configured in the X config file, X expects
it to be there.  If it is not there, then anything might happen.  X might
start up ok, or it might fail with an error that hardware is missing, or
it might hang, or anything.  X does NOT support hotplugging of hardware,
and it expects that the hardware it is configured for is plugged in when the
X server starts.  If one has multiple configurations of hardware, multiple
X config files may be used in order to switch between them, however a complete
X server restart is required to switch between hardware configurations.

The long delay is no doubt the X server waiting for nonexistant but configured
hardware to respond.

Please attach your X server config file and log file from the running X
server.
Comment 4 David Balažic 2003-06-23 04:08:30 EDT
Created attachment 92543 [details]
the X config file
Comment 5 David Balažic 2003-06-23 04:10:01 EDT
Created attachment 92544 [details]
The log file, using option -logverbose 9
Comment 6 Mike A. Harris 2004-10-01 01:57:39 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.